Créer des shapes dans word avec vb

Soyez le premier à donner votre avis sur cette source.

Snippet vu 10 646 fois - Téléchargée 76 fois

Contenu du snippet

Ce code crée des 'post-it' dans un document word ouvert par le biais des objets COM

Source / Exemple :


''''''''''''''''''''''''''''''''''''
''gmanouvrier@free.fr             ''
''gmanouvrier@Keeboo.com (at ÷ork)''
''''''''''''''''''''''''''''''''''''

Option Explicit
Dim WordApp As Word.Application
Dim Box As Word.Shape
' ne pas oublier de rajouter les références des objets Word
' don't forget to reffer word objects
Private Sub Command1_Click()
Set WordApp = GetObject(, "Word.Application")
       
    
    Set Box = WordApp.ActiveDocument.Shapes.AddShape(1, 10, 10, 100, 100)
    
    Box.TextFrame.TextRange.Text = "Quelle document merveilleux" & vbCrLf & vbCrLf & Text1.Text
    
    
    Box.Fill.BackColor = 16777215
    Box.Fill.ForeColor = 10092543
    Box.Fill.Transparency = 0.5
End Sub

Conclusion :


La feuille Form1 doit contenir un bouton de commande pour lancer l'action, ainsi qu'une zone de texte(text1).

A voir également

Ajouter un commentaire Commentaires
cs_hhafid Messages postés 30 Date d'inscription vendredi 24 janvier 2003 Statut Membre Dernière intervention 7 novembre 2006
9 nov. 2006 à 23:34
Bonjour
pour moi ca marche
bravo l'ami
dbotton Messages postés 15 Date d'inscription dimanche 30 novembre 2003 Statut Membre Dernière intervention 23 novembre 2006
18 juil. 2005 à 17:24
J' ai le message "Type non défini" pour Word.Application
Que faire ?

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.